* --------------------------------------------------------------------
* 
* --------------------------------------------------------------------

      subroutine intro(PGMVER,PGMDAT)

* --------------------------------------------------------------------
* Subroutine to print out introductory screens and disclaimers
* --------------------------------------------------------------------
      character*90 SCCSID
      character*5  PGMVER
      character*15 PGMDAT
      character*1  keyb

      SCCSID="@(#)intro.f	1.1	2004/06/03 NGS"

* --------------------------------------
* Introduction and version
* --------------------------------------
      write(6,1) 
    1 format(////////////,
     * 10x,'                     Welcome to the ',/,
     * 10x,'               National Geodetic Survey''s ',/,
     * 10x,'                       XNTG PROGRAM',/,
     * 10x,'           (eXtract aNd Translate Geoid files). ',//,
     * 10x,'            For use when a GEOID grid need be',/,
     * 10x,'     translated between ASCII (*.asc) and binary (*.bin) ',/,
     * 10x,'                        AND / OR ',/,
     * 10x,'       when a sub-grid, covering a smaller area ',/,
     * 10x,'      needs to be extracted from a larger GEOID grid.',/,
     * 10x,'                      AND / OR ',/,
     * 10x,'          for obtaining statistical information ',/,
     * 10x,'                 about a GEOID grid.',//)

      write(6,2) PGMVER,PGMDAT
    2 format(
c     * 10x,'                      VERSION 1.1',/,
     * 10x,'                      Version: ',a5,/,
c     * 10x,'                   December 24, 2003',/,
     * 10x,'             Date(ccyy/mm/dd): ',a15,/,
     * 10x,'                 Daniel R. Roman, Ph.D.',//,
     * 10x,'               (Hit RETURN to continue)')
      read(5,'(a)')keyb


* --------------------------------------
* Disclaimer
* --------------------------------------
      WRITE (6,932)
  932 format(/,70('-'),/,
     *         /, 32X, 'DISCLAIMER' ,//,
     + ' This program and supporting information is furnished by',
     + ' the government of', /,
     + ' the United States of America, and is accepted/used by the',
     + ' recipient with', /,
     + ' the understanding that the U. S. government makes no',
     + ' warranties, express or', /,
     + ' implied, concerning the accuracy, completeness, reliability,',
     + ' or suitability', /,
     + ' of this program, of its constituent parts, or of any',
     + ' supporting data.', //,
     + ' The government of the United States of America shall be',
     + ' under no liability', /,
     + ' whatsoever resulting from any use of this program.',
     + '  This program should', /,
     + ' not be relied upon as the sole basis for solving a problem',
     + ' whose incorrect', /,
     + ' solution could result in injury to person or property.')

        WRITE (6,933)
  933   FORMAT ( /,
     + ' This program is the property of the government of the',
     + ' United States of', /,
     + ' America. Therefore, the recipient further agrees not to',
     + ' assert proprietary', /,
     + ' rights therein and not to represent this program to anyone as',
     + ' being other', /,
     + ' than a government program.', //,
     * '               (Hit RETURN to continue)')
      read(5,'(a)')keyb

      return
      end
        
